org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineFactory

- All Implemented Interfaces:
    ScriptEngineFactory, GremlinScriptEngineFactory

      public class GremlinGroovyScriptEngineFactory
      extends AbstractGremlinScriptEngineFactory

  A `GremlinScriptEngineFactory` implementation that creates `GremlinGroovyScriptEngine` instances.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMethodCallSyntax(String obj, String m, String... args)`
    `String` | `getOutputStatement(String toDisplay)`
    `GremlinScriptEngine` | `getScriptEngine()` Creates a new `GremlinScriptEngine` instance.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory

      `getEngineName, getEngineVersion, getExtensions, getLanguageName, getLanguageVersion, getMimeTypes, getNames, getParameter, getProgram, setCustomizerManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineFactory

          public GremlinGroovyScriptEngineFactory()

  - ### Method Detail

    - #### getMethodCallSyntax

          public String getMethodCallSyntax(String obj,
                                            String m,
                                            String... args)

    - #### getOutputStatement

          public String getOutputStatement(String toDisplay)

    - #### getScriptEngine

          public GremlinScriptEngine getScriptEngine()

      Description copied from interface: `GremlinScriptEngineFactory`
      Creates a new `GremlinScriptEngine` instance. Unlike the JSR-223 implementation, the semantics for this interface expect a "new" instance to be created for each call to this method. Caching or pooling is something to be handled by a `GremlinScriptEngineManager`.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.